# $Revision: 1.10 $, $Date: 2001/12/14 03:28:42 $
Summary:	wmdate - date-display utility for X11
Summary(pl):	wmdate - program dla X11 wywietlajcy dat
Name:		wmdate
Version:	0.7
Release:	2
License:	GPL
Group:		X11/Window Managers/Tools
Group(de):	X11/Fenstermanager/Werkzeuge
Group(pl):	X11/Zarzdcy Okien/Narzdzia
Source0:	http://solfertje.student.utwente.nl/~dalroi/apps/apps/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-ComplexProgramTargetNoMan.patch
URL:		http://solfertje.student.utwente.nl/~dalroi/apps/wmdate.php
BuildRequires:	XFree86-devel
BuildRequires:	libdockapp-devel >= 0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_prefix		/usr/X11R6

%description
wmDate is a date-display utility designed for WindowMaker Dock. It was
originally based on the displaying lay-out of asclock (which in turn
is based on the time-display utility used in NeXTStep).

%description -l pl
wmDate jest dokowalnym apletem dla WindowMakera wywietlajcym dat.
Jego wygld oparty jest na programie asclock (ktry z kolei jest
oparty na wywietlajcym czas programie dla NextStep).

%prep
%setup -q
%patch0 -p1

%build
xmkmf -a
%{__make} \
	CC=%{__cc} \
	CDEBUGFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/DockApplets

%{__make} install DESTDIR=$RPM_BUILD_ROOT
#install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/DockApplets

gzip -9nf README Changelog

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/%{name}

#%{_applnkdir}/DockApplets/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wmdate.spec,v $
Revision 1.10  2001/12/14 03:28:42  kloczek
- release 2.

Revision 1.9  2001/11/26 05:18:45  kloczek
- added ComplexProgramTargetNoMan patch which fixes install target
  (use ComplexProgramTargetNoMan() instead ComplexProgramTarget()
  in Imakefile because wmdate do not provides man page for wmdate).

Revision 1.8  2001/11/26 01:25:14  kloczek
- found new URL and Source url.

Revision 1.7  2001/11/25 23:50:16  blues
- desktop is out
NOTE: no active URL found

Revision 1.6  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.5  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.4  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/04/01 11:15:59  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.1  2000/02/10 17:04:35  pius
- initial release
